---
driver:
  chef_version: latest # or 15 or 15.0 or 15.0.300 or curent
  name: dokken

transport:
  name: dokken

provisioner:
  # You may wish to disable always updating cookbooks in CI or other testing environments.
  # For example:
  #   always_update_cookbooks: <%= !ENV['CI'] %>
  always_update_cookbooks: true
  client_rb:
    chef_license: accept
  name: dokken

verifier:
  name: inspec

platforms:
  - name: debian-8
    driver:
      image: debian:8
      pid_one_command: /bin/systemd
  - name: debian-9
    driver:
      image: debian:9

suites:
  - name: default
    attributes:
    run_list:
      - recipe[apt]
      - recipe[docker-ce::default]
    verifier:
      inspec_tests:
        - test/integration/default
  - name: updated-version-attribute-18.06
    attributes:
      docker_ce:
        version: '18.06'
    run_list:
      - recipe[docker-ce::default]
    verifier:
      inspec_tests:
        - test/integration/updated-version-attribute-18.06
  - name: updated-version-attribute-18.09
    attributes:
      docker_ce:
        version: '18.09'
    run_list:
      - recipe[docker-ce::default]
    verifier:
      inspec_tests:
        - test/integration/updated-version-attribute-18.09
  - name: updated-daemon-attributes
    attributes:
      docker_ce:
        daemon:
          cgroup_driver: 'systemd'
          registry_mirrors:
            - http://localhost:5000
    run_list:
      - recipe[docker-ce::default]
    verifier:
      inspec_tests:
        - test/integration/updated-daemon-attributes
